Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.jzos.recordgen.asm
Class ADataSymbolRecord

    java.lang.Object
      com.ibm.jzos.recordgen.asm.ADataRecord
          com.ibm.jzos.recordgen.asm.ADataSymbolRecord

    public class ADataSymbolRecord

extends ADataRecord

Maps an AData Symbol record.

See Also:
  `ADataRecord`

Field Summary
`protected static StringField` | `_ADSYM_ASM_TYPE`
`protected static StringField` | `_ADSYM_ATTR`
`protected static BinaryAsIntField` | `_ADSYM_BYTE_LEN`
`protected static BinaryAsIntField` | `_ADSYM_DUP`
`protected static BinaryAsIntField` | `_ADSYM_ESDID`
`protected static BinaryAsIntField` | `_ADSYM_INT`
`protected static BinaryAsIntField` | `_ADSYM_LOCTR`
`protected static StringField` | `_ADSYM_NAME`
`protected static BinaryAsIntField` | `_ADSYM_NAME_LEN`
`protected static BinaryAsIntField` | `_ADSYM_NAME_OFF`
`protected static BinaryAsLongField` | `_ADSYM_PROGRAM_TYPE`
`protected static BinaryAsIntField` | `_ADSYM_RELOC_FLAG`
`protected static BinaryAsIntField` | `_ADSYM_SCALE`
`protected static BinaryAsIntField` | `_ADSYM_STMT`
`protected static BinaryAsIntField` | `_ADSYM_TYPE`
`static int` | `ADATA_EDNSYM`
`static int` | `ADATA_RECSYM`
`static int` | `ADSYM_COMPLEX`
`static int` | `ADSYM_EQU_LEN`
`static int` | `ADSYM_RELOC`
`static int` | `ADSYM_TYPE_ASTLIT`
`static int` | `ADSYM_TYPE_COMMON`
`static int` | `ADSYM_TYPE_DSECT`
`static int` | `ADSYM_TYPE_DUP`
`static int` | `ADSYM_TYPE_DXD`
`static int` | `ADSYM_TYPE_EQU`
`static int` | `ADSYM_TYPE_LITERAL`
`static int` | `ADSYM_TYPE_LOCTR`
`static int` | `ADSYM_TYPE_ORDINARY`
`static int` | `ADSYM_TYPE_QUAL`
`static int` | `ADSYM_TYPE_SECTION`
`static int` | `ADSYM_TYPE_UNDEF`
`static int` | `ADSYM_TYPE_UNRES`
`static int` | `ADSYM_TYPE_VCON`
`static int` | `ADSYM_TYPE_XTRN`
`static int` | `HEADER_LEN`

Fields inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`_ADATA_CONT, _ADATA_DATA_LEN, _ADATA_EDITION, _ADATA_LEVEL, _ADATA_RECTYPE, _ADATA_VERSION, ADATA_EQU_LEN, ADATA_ISCONT, ADATA_L1, ADATA_L2, ADATA_L3, ADATA_LVL, ADATA_NOTCONT, ADATA_VERASM, bytes, factory`

Constructor Summary
`ADataSymbolRecord(byte[] buffer)` Construct an instance on an existing byte array.

Method Summary
`void` | `dumpOn(java.io.Writer writer)` Write debugging information for the receiver.
`java.lang.String` | `getASM_TYPE()`
`java.lang.String` | `getATTR()`
`int` | `getBYTE_LEN()`
`int` | `getDUP()`
`int` | `getESDID()`
`int` | `getINT()`
`int` | `getLOCTR()`
`int` | `getNAME_LEN()`
`int` | `getNAME_OFF()`
`long` | `getPROGRAM_TYPE()`
`int` | `getRELOC_FLAG()`
`int` | `getSCALE()`
`int` | `getSTMT()`
`int` | `getSupportedEdition()` Answer the edition number that this (subtype instance) supports.
`java.lang.String` | `getSymbolName()` Answer a String containing the symbol (label) name
`int` | `getTYPE()`

Methods inherited from class com.ibm.jzos.recordgen.asm.ADataRecord
`getBytes, getCONT, getDATA_LEN, getEDITION, getLEVEL, getRECTYPE, getVERSION, setBytes, setCONT, setDATA_LEN`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### HEADER_LEN

    public static final int HEADER_LEN

See Also:
  Constant Field Values

### ADATA_RECSYM

    public static final int ADATA_RECSYM

See Also:
  Constant Field Values

### ADATA_EDNSYM

    public static final int ADATA_EDNSYM

See Also:
  Constant Field Values

### _ADSYM_ESDID

    protected static final BinaryAsIntField _ADSYM_ESDID

### _ADSYM_STMT

    protected static final BinaryAsIntField _ADSYM_STMT

### _ADSYM_LOCTR

    protected static final BinaryAsIntField _ADSYM_LOCTR

### _ADSYM_TYPE

    protected static final BinaryAsIntField _ADSYM_TYPE

### ADSYM_TYPE_UNDEF

    public static int ADSYM_TYPE_UNDEF

### ADSYM_TYPE_SECTION

    public static int ADSYM_TYPE_SECTION

### ADSYM_TYPE_DSECT

    public static int ADSYM_TYPE_DSECT

### ADSYM_TYPE_COMMON

    public static int ADSYM_TYPE_COMMON

### ADSYM_TYPE_DXD

    public static int ADSYM_TYPE_DXD

### ADSYM_TYPE_VCON

    public static int ADSYM_TYPE_VCON

### ADSYM_TYPE_QUAL

    public static int ADSYM_TYPE_QUAL

### ADSYM_TYPE_XTRN

    public static int ADSYM_TYPE_XTRN

### ADSYM_TYPE_LOCTR

    public static int ADSYM_TYPE_LOCTR

### ADSYM_TYPE_DUP

    public static int ADSYM_TYPE_DUP

### ADSYM_TYPE_LITERAL

    public static int ADSYM_TYPE_LITERAL

### ADSYM_TYPE_ASTLIT

    public static int ADSYM_TYPE_ASTLIT

### ADSYM_TYPE_EQU

    public static int ADSYM_TYPE_EQU

### ADSYM_TYPE_ORDINARY

    public static int ADSYM_TYPE_ORDINARY

### ADSYM_TYPE_UNRES

    public static int ADSYM_TYPE_UNRES

### _ADSYM_DUP

    protected static final BinaryAsIntField _ADSYM_DUP

### _ADSYM_ATTR

    protected static final StringField _ADSYM_ATTR

### _ADSYM_ASM_TYPE

    protected static final StringField _ADSYM_ASM_TYPE

### _ADSYM_PROGRAM_TYPE

    protected static final BinaryAsLongField _ADSYM_PROGRAM_TYPE

### _ADSYM_BYTE_LEN

    protected static final BinaryAsIntField _ADSYM_BYTE_LEN

### _ADSYM_INT

    protected static final BinaryAsIntField _ADSYM_INT

### _ADSYM_SCALE

    protected static final BinaryAsIntField _ADSYM_SCALE

### ADSYM_RELOC

    public static final int ADSYM_RELOC

See Also:
  Constant Field Values

### ADSYM_COMPLEX

    public static final int ADSYM_COMPLEX

See Also:
  Constant Field Values

### _ADSYM_RELOC_FLAG

    protected static final BinaryAsIntField _ADSYM_RELOC_FLAG

### _ADSYM_NAME_OFF

    protected static final BinaryAsIntField _ADSYM_NAME_OFF

### _ADSYM_NAME_LEN

    protected static final BinaryAsIntField _ADSYM_NAME_LEN

### ADSYM_EQU_LEN

    public static final int ADSYM_EQU_LEN

### _ADSYM_NAME

    protected static final StringField _ADSYM_NAME

Constructor Detail

### ADataSymbolRecord

    public ADataSymbolRecord(byte[] buffer)

  Construct an instance on an existing byte array.

  Parameters:
    `buffer` - the byte array used as backing memory for the structure

Method Detail

### getSupportedEdition

    public int getSupportedEdition()

  Answer the edition number that this (subtype instance) supports.

  Overrides:
    `getSupportedEdition` in class `ADataRecord`

### getESDID

    public int getESDID()

### getSTMT

    public int getSTMT()

### getLOCTR

    public int getLOCTR()

### getTYPE

    public int getTYPE()

### getDUP

    public int getDUP()

### getATTR

    public java.lang.String getATTR()

### getASM_TYPE

    public java.lang.String getASM_TYPE()

### getPROGRAM_TYPE

    public long getPROGRAM_TYPE()

### getBYTE_LEN

    public int getBYTE_LEN()

### getINT

    public int getINT()

### getSCALE

    public int getSCALE()

### getRELOC_FLAG

    public int getRELOC_FLAG()

### getNAME_OFF

    public int getNAME_OFF()

### getNAME_LEN

    public int getNAME_LEN()

### getSymbolName

    public java.lang.String getSymbolName()

  Answer a String containing the symbol (label) name

  Returns:
    String

### dumpOn

    public void dumpOn(java.io.Writer writer)
                throws java.io.IOException

  Write debugging information for the receiver.

  Overrides:
    `dumpOn` in class `ADataRecord`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD